Package org.apache.commons.imaging.formats.jpeg.iptc

## Class IptcParser

- java.lang.Object
- - org.apache.commons.imaging.common.BinaryFileParser
  - - org.apache.commons.imaging.formats.jpeg.iptc.IptcParser

-     public class IptcParser
      extends BinaryFileParser

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `IptcParser()` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `isPhotoshopJpegSegment​(byte[] segmentData)` |
    `protected List<IptcBlock>` | `parseAllBlocks​(byte[] bytes, boolean strict)` |
    `protected List<IptcRecord>` | `parseIPTCBlock​(byte[] bytes)` |
    `PhotoshopApp13Data` | `parsePhotoshopSegment​(byte[] bytes, boolean strict)` |
    `PhotoshopApp13Data` | `parsePhotoshopSegment​(byte[] bytes, ImagingParameters params)` |
    `byte[]` | `writeIPTCBlock​(List<IptcRecord> elements)` |
    `byte[]` | `writePhotoshopApp13Segment​(PhotoshopApp13Data data)` |

    - ### Methods inherited from class org.apache.commons.imaging.common.BinaryFileParser

      `debugNumber, debugNumber, getByteOrder, setByteOrder`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IptcParser

          public IptcParser()

  - ### Method Detail

    - #### isPhotoshopJpegSegment

          public boolean isPhotoshopJpegSegment​(byte[] segmentData)

    - #### parsePhotoshopSegment

          public PhotoshopApp13Data parsePhotoshopSegment​(byte[] bytes,
                                                          ImagingParameters params)
                                                   throws ImageReadException,
                                                          IOException

      Throws:
        `ImageReadException`
        `IOException`

    - #### parsePhotoshopSegment

          public PhotoshopApp13Data parsePhotoshopSegment​(byte[] bytes,
                                                          boolean strict)
                                                   throws ImageReadException,
                                                          IOException

      Throws:
        `ImageReadException`
        `IOException`

    - #### parseIPTCBlock

          protected List<IptcRecord> parseIPTCBlock​(byte[] bytes)

    - #### parseAllBlocks

          protected List<IptcBlock> parseAllBlocks​(byte[] bytes,
                                                   boolean strict)
                                            throws ImageReadException,
                                                   IOException

      Throws:
        `ImageReadException`
        `IOException`

    - #### writePhotoshopApp13Segment

          public byte[] writePhotoshopApp13Segment​(PhotoshopApp13Data data)
                                            throws IOException,
                                                   ImageWriteException

      Throws:
        `IOException`
        `ImageWriteException`

    - #### writeIPTCBlock

          public byte[] writeIPTCBlock​(List<IptcRecord> elements)
                                throws ImageWriteException,
                                       IOException

      Throws:
        `ImageWriteException`
        `IOException`